GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
wchar_iterator Class Reference

`#include "charset.h"`

## Public Member Functions
| wchar_iterator (const gdb_byte *input, size_t bytes, const char *charset, size_t width)
| ~wchar_iterator ()
int | iterate (enum wchar_iterate_result *out_result, gdb_wchar_t **out_chars, const gdb_byte **ptr, size_t *len)

## Private Attributes
iconv_t | m_desc
const gdb_byte * | m_input
size_t | m_bytes
size_t | m_width
gdb::def_vector< gdb_wchar_t > | m_out

## Detailed Description

Definition at line 87 of file charset.h.

## Constructor & Destructor Documentation

## ◆ wchar_iterator()

wchar_iterator::wchar_iterator | ( | const gdb_byte * | input,
|  | size_t | bytes,
|  | const char * | charset,
|  | size_t | width
| ) |  |

Definition at line 604 of file charset.c.

References _, iconv_open, iconv_t, INTERMEDIATE_ENCODING, m_desc, and perror_with_name().

## ◆ ~wchar_iterator()

wchar_iterator::~wchar_iterator | ( |  | ) |

Definition at line 616 of file charset.c.

References iconv_close, iconv_t, and m_desc.

## Member Function Documentation

## ◆ iterate()

int wchar_iterator::iterate | ( | enum wchar_iterate_result * | out_result,
|  | gdb_wchar_t ** | out_chars,
|  | const gdb_byte ** | ptr,
|  | size_t * | len
| ) |  |

Definition at line 623 of file charset.c.

References _, iconv, ICONV_CONST, m_bytes, m_desc, m_input, m_out, m_width, perror_with_name(), wchar_iterate_eof, wchar_iterate_incomplete, wchar_iterate_invalid, and wchar_iterate_ok.

Referenced by count_next_character(), and generic_emit_char().

## Member Data Documentation

## ◆ m_bytes

size_t wchar_iterator::m_bytes
| private

Definition at line 141 of file charset.h.

Referenced by iterate().

## ◆ m_desc

iconv_t wchar_iterator::m_desc
| private

Definition at line 135 of file charset.h.

Referenced by iterate(), wchar_iterator(), and ~wchar_iterator().

## ◆ m_input

const gdb_byte* wchar_iterator::m_input
| private

Definition at line 139 of file charset.h.

Referenced by iterate().

## ◆ m_out

gdb::def_vector<gdb_wchar_t> wchar_iterator::m_out
| private

Definition at line 147 of file charset.h.

Referenced by iterate().

## ◆ m_width

size_t wchar_iterator::m_width
| private

Definition at line 144 of file charset.h.

Referenced by iterate().

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/charset.h
- /tmp/gdb-8.1/gdb/charset.c